package com.alihealth.d2d.provtest.entity;

import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Jason
 * @date 2025年06月03日 16:37:33
 */
@Data
public class EventBody {

    @JacksonXmlProperty(localName = "recTime")
    private String recTime;

    @JacksonXmlProperty(localName = "eventID")
    private String eventID;

    @JacksonXmlProperty(localName = "evtBasic")
    private EventBasic evtBasic;

    @JacksonXmlElementWrapper(localName = "itemList")
    @JacksonXmlProperty(localName = "itemDetail")
    private List<ItemDetail> itemList;
}
