package com.alihealth.d2d.provtest.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 描述：药品与零售信息，暂时展示下列信息，后续有必要再展示更多信息
 */
@Data
public class DrugRetailAndUseInfoVO implements Serializable {

    private static final long serialVersionUID = 8169288349155391871L;

    /** 售药时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date scsj;

    /** 购买人身份信息 */
    private String gmrsfxx;

    /** 购买人电话号码 */
    private String gmrdhhm;

    /** 互联网订单标识 */
    private String hlwddbz;

    /** 零售药店名称 */
    private String lsydmc;

    /** 零售药店编号 */
    private String lsdjbh;

    /** 统一社会信用代码（零售药店） */
    private String tyshxydmlsyd;

    /** 开方医师（非处方药没有该字段） */
    private String kfys;
}
